<template>
    <div class="Home" >
        <v-card
            :height="400"
            :elevation="10"
            color="rgb(176, 196 ,222, 0.5) "
            class="mx-auto "
            style="border-radius: 8px;"
        >
            <v-layout wrap justify-center>
                    <!-- ***********************title_text*********************** -->
                <v-layout justify-center pt-3>
                    <span><h1 ><font display-4 face="mitr" Color = "#263238">คลังความรู้ยอดนิยม </font></h1></span>
                </v-layout>
                <v-flex xs12 sm12  d-none d-sm-flex>
                  <v-item-group>
                      <v-flex
                          class="mx-auto"
                        >
                        <!-- *********************slide_box****************** -->
                          <v-slide-group
                            v-model="model"
                            show-arrows
                            mandatory
                            width="1600"

                          >
                              <!-- ********************loop_slide_item********************************** -->
                              <v-slide-item
                              v-for="(item,index) in datas_view"
                              :key="index"

                              >
                              <!-- ************************mouse_event*********************************** -->
                              <v-hover v-slot:default="{ hover }" open-delay="300" close-delay="100">

                                  <v-layout wrap  >
                                      <v-container px-3 >
                                      <!-- ****************************create_cart*************************** -->
                                      <v-card
                                        @click="detail(item)"
                                        :height="260"
                                        :width="210"
                                        :elevation="hover? 20 : 3"
                                        style="border-radius: 4px;"
                                        class="ma-4 " >
                                          <v-layout >
                                              <!-- ************************insert_img_incard******************** -->
                                              <v-img
                                              :src="test+item.image"
                                              class="mx-auto"
                                              height="200px"
                                              width="200px"
                                              style="border-radius: 4px;"
                                              >
                                              </v-img>
                                          </v-layout>

                                          <v-layout>
                                              <v-flex xs12 pt-3 style="text-align:center" >
                                                  <!-- ****************************text_box************************** -->
                                                  <h3 class=" w3-center "><font face="mitr"><span>{{item.title.substring(0,22)}}</span></font></h3><br>
                                              </v-flex>
                                          </v-layout>
                                      </v-card>
                                      </v-container>
                                  </v-layout>
                              </v-hover>
                              </v-slide-item>
                          </v-slide-group>
                      </v-flex>
                  </v-item-group>
                </v-flex>
            </v-layout>
            <v-layout >
                <v-flex d-flex d-sm-none  >
                  <v-carousel
                    prev-icon=""
                    next-icon=""
                    hide-delimiters
                    cycle
                  >
                    <v-container>
                      <v-carousel-item
                        v-for="(item,index) in datas_view"
                        :key="index"
                      >
                        <v-card
                          @click="detail(item)"
                          height="300"
                          width="100%"
                          elevation= 3
                          style="border-radius: 4px; "
                          class="justify-center"
                          color="white "
                        >
                        <v-layout pt-3>
                                <!-- ************************insert_img_incard******************** -->
                                <v-sheet height="200" width="100%" color="rgb(0, 0 ,0, 0) ">
                                  <v-img
                                      class="mx-auto "
                                      height="100%"
                                      :src="test+item.image"
                                      style="border-radius: 4px;"
                                  >
                                      <!-- *************************popup*************************** -->
                                  </v-img>
                                </v-sheet>
                        </v-layout>

                        <v-layout pt-5>
                            <v-flex xs12 style="text-align:center" >
                                <!-- ****************************text_box************************** -->
                                <h3 ><font face="mitr" size="1" class="black--text align-end" ><span>{{item.title.substring(0,22)}}</span></font><br></h3>
                            </v-flex>
                        </v-layout>
                        </v-card>
                      </v-carousel-item>
                    </v-container>
                  </v-carousel>
                </v-flex>
            </v-layout>
        </v-card>
    </div>
</template>

<script>
export default {
  data () {
    return {
      datas_view: [],
      test: process.env.VUE_APP_API
    }
  },
  created () {
    this.getDataView()
  },
  methods: {
    async detail (val) {
      console.log('iddddddddddddddddddddddd', val)
      await this.$store.dispatch('get_popknowledge', val)
      console.log('id', this.$store.getters.popknowledge)
      this.$router.push('/knowledge_pop_page')
    },
    async getDataView () {
      console.log('object')
      try {
        var response = await this.axios.get(process.env.VUE_APP_API + '/api/subsubject/landing_page/count_with_view')
        console.log('tee', response.data.data)
        this.datas_view = response.data.data
      } catch (error) {
        console.log(error.message)
      }
    }
  }

}

</script>

<style>
  .v-card--reveal {
  align-items: center;
  bottom: 0;
  justify-content: center;
  opacity: .8;
  position: absolute;
  width: 100%;
  }

</style>
